Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jpd
Interface JpdContext

All Superinterfaces:
  weblogic.jws.control.Context, com.bea.control.JwsContext, Serializable

public interface JpdContext
extends com.bea.control.JwsContext

Represents the execution context of a business process (a JPD). Methods in this interface can be used to access container services for JPD (Process Definition for Java) files. A JpdContext instance named `context` is included by default in each business process you create in WebLogic Workshop.

Nested Class Summary
`static interface` | `JpdContext.Callback`
`static interface` | `JpdContext.ExceptionInfo`

Method Summary
`JpdContext.ExceptionInfo` | `getExceptionInfo()`
`String` | `getInstanceId()` Retrieves the instance id of the associated business process.
`String` | `getProcessLabel()` Retrieves the current process label associated with this business process.
`boolean` | `isTransactionRetried()` Indicates whether the current transaction is executing a retry.
`void` | `setProcessLabel(String label)` Associates the specified label with this instance of the business process.
`void` | `trackData(RawData value)` Logs the specified RawData value to the log tables such that it can be correlated to a node in your business process.
`void` | `trackData(String value)` Logs the specified String value to the log tables such that it can be correlated to a node in your business process.
`void` | `trackData(com.bea.xml.XmlObject value)` Logs the specified XML value to the log tables such that it can be correlated to a node in your business process.

Methods inherited from interface com.bea.control.JwsContext
`getCallbackLocation, getCallbackPassword, getCallbackUsername, getInputHeaders, getProtocol, getUnderstoodInputHeaders, setCallbackLocation, setCallbackLocation, setCallbackPassword, setCallbackUsername, setOutputHeaders, setUnderstoodInputHeaders`

Methods inherited from interface weblogic.jws.control.Context
`finishConversation, getCallerPrincipal, getCurrentAge, getCurrentIdleTime, getLogger, getMaxAge, getMaxIdleTime, getService, isCallerInRole, isFinished, resetIdleTime, setMaxAge, setMaxAge, setMaxIdleTime, setMaxIdleTime`

Method Detail

### getExceptionInfo

    public JpdContext.ExceptionInfo getExceptionInfo()

  Returns:
    A handle to the exception (handler/block/instance) information.

### trackData

    public void trackData(com.bea.xml.XmlObject value)

  Logs the specified XML value to the log tables such that it can be correlated to a node in your business process.

### trackData

    public void trackData(RawData value)

  Logs the specified RawData value to the log tables such that it can be correlated to a node in your business process.

### trackData

    public void trackData(String value)

  Logs the specified String value to the log tables such that it can be correlated to a node in your business process.

### isTransactionRetried

    public boolean isTransactionRetried()

  Indicates whether the current transaction is executing a retry.

### setProcessLabel

    public void setProcessLabel(String label)

  Associates the specified label with this instance of the business process. The label can be used as a business handle for an instance of a business process. For example, you can use an order number, customer number, DUNS number, or some other value of use in auditing.

### getProcessLabel

    public String getProcessLabel()

  Retrieves the current process label associated with this business process.

### getInstanceId

    public String getInstanceId()

  Retrieves the instance id of the associated business process.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD